package com.changfa.utils;

import java.math.BigDecimal;

public class NumberUtil {
    public static Double add(Object v,Object v1){
        BigDecimal bigDecimal = new BigDecimal(v.toString());
        BigDecimal bigDecimal1 = new BigDecimal(v1.toString());
        return bigDecimal.add(bigDecimal1).setScale(2,BigDecimal.ROUND_HALF_UP).doubleValue();
    }

    public static Double divide(Object v,Object v1){
        BigDecimal bigDecimal = new BigDecimal(v.toString());
        BigDecimal bigDecimal1 = new BigDecimal(v1.toString());
        return bigDecimal.divide(bigDecimal1,2,BigDecimal.ROUND_HALF_UP).doubleValue();
    }
}
